Welcome! Log In Create A New Profile

Advanced

make error with icc v11.1

Posted by ruyi7952 
make error with icc v11.1
August 14, 2009 09:47PM
Hello, i needed your helps. I hava an amd64 cpu runing on an ubuntu server 9.04(amd64).
i have with icc 11.1 try to compiling php 5.2.9 with php-fpm 0.5.13,but i get this error.

[quote="uname -ra
Linux ubuntu 2.6.18.8-xenU #4 Sun May 3 22:35:59 CST 2009 x86_64 GNU/Linux
free -m
total used free shared buffers cached
Mem: 256 110 145 0 5 76 -/+ buffers/cache: 28 227
Swap: 1279 16 1263
gcc -v
Using built-in specs. Target: x86_64-linux-gnu Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.3.3-5ubuntu4' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu Thread model: posix gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4)
icc -V
Intel(R) C Intel(R) 64 Compiler Professional for applications running on Intel(R) 64, Version 11.1 Build 20090630 Package ID: l_cproc_p_11.1.046 Copyright (C) 1985-2009 Intel Corporation. All rights reserved. FOR NON-COMMERCIAL USE ONLY
icpc -V Intel(R) C++ Intel(R) 64 Compiler Professional for applications running on Intel(R) 64, Version 11.1 Build 20090630 Package ID: l_cproc_p_11.1.046 Copyright (C) 1985-2009 Intel Corporation. All rights reserved."]

[/quote]
compiling with:

CFLAGS='-O2 -unroll2 -ip -fp-model source -restrict -xSSE2 -use-intel-optimized-headers -opt-subscript-in-range ' CXXFLAGS='-O2 -unroll2 -ip -fp-model source -restrict -fno-implicit-templates -fno-exceptions -fno-rtti -xSSE2 -use-intel-optimized-headers -opt-subscript-in-range' ./configure --prefix=/var/webserver/php --with-config-file-path=/var/webserver/php/etc --with-mysql=/var/webserver/mysql --with-mysqli=/var/webserver/mysql/bin/mysql_config --with-curl --with-curlwrappers --enable-mbregex --with-ncurses --enable-fastcgi --enable-fpm --enable-force-cgi-redirect --enable-bcmath --with-mcrypt --with-mhash --with-openssl --with-gd --enable-gd-native-ttf --enable-gd-jis-conv --with-gettext --enable-mbstring --with-mime-magic --enable-shmop --enable-sysvsem --enable-inline-optimization --enable-pcntl --with-readline --with-mm --enable-sockets --enable-pcntl --with-xmlrpc --enable-wddx --with-xsl --enable-zip --enable-zend-multibyte --with-tsrm-pthreads --enable-exif --enable-ftp --without-pear --without-sqlite -disable-rpath --enable-discard-path --with-jpeg-dir=/usr/local --with-freetype-dir=/usr/local


make ZEND_EXTRA_LIBS='-liconv -ltcmalloc'


[quote="/root/working/php/php-5.2.10/sapi/cgi/fpm/fpm_atomic.h(11): remark #193: zero used for undefined preprocessing identifier \"__i386__\" #if ( __i386__ || __i386 ) ^
/root/working/php/php-5.2.10/sapi/cgi/fpm/fpm_atomic.h(11): remark #193: zero used for undefined preprocessing identifier \"__i386\" #if ( __i386__ || __i386 ) ^
/root/working/php/php-5.2.10/sapi/cgi/fpm/fpm_atomic.h(36): remark #193: zero used for undefined preprocessing identifier \"__amd64__\" #elif ( __amd64__ || __amd64 ) ^ /root/working/php/php-5.2.10/sapi/cgi/fpm/fpm_atomic.h(36): remark #193: zero used for undefined preprocessing identifier \"__amd64\" #elif ( __amd64__ || __amd64 ) ^
/root/working/php/php-5.2.10/sapi/cgi/fpm/fpm_atomic.h(62): catastrophic error: #error directive: unsupported processor. please write a patch and send it to me #error unsupported processor. please write a patch and send it to me"]
[/quote]
Re: make error with icc v11.1
August 16, 2009 02:34AM
The icc v11.1 is only for intel cpu, but your server's cpu is AMD.
Gordon Pettey
Re: make error with icc v11.1
August 16, 2009 08:49AM
On Sun, Aug 16, 2009 at 1:34 AM, filebackup<nginx-forum@nginx.us> wrote:
>
> The icc v11.1 is only for intel cpu, but your server's cpu is AMD.

Any x86_64 CPU, whether AMD or Intel, is amd64.
Re: make error with icc v11.1
August 17, 2009 08:45AM
Gordon Pettey Wrote:
-------------------------------------------------------
> On Sun, Aug 16, 2009 at 1:34 AM, filebackup
> wrote:
> >
> > The icc v11.1 is only for intel cpu, but your
> server's cpu is AMD.
>
> Any x86_64 CPU, whether AMD or Intel, is amd64.


ruyi7952, I guess he is Chinese.
He said that the cpu is amd64 cpu, so I guess the cpu is amd.



Edited 1 time(s). Last edit at 08/17/2009 08:46AM by filebackup.
Re: make error with icc v11.1
August 17, 2009 03:17PM
Sorry,my english verybad.

ICC for Intel64 Edition,can supported AMD64 CPU.

Nginx and MySQL working my site with ICC v11.1 Intel64 Edition =)
Re: make error with icc v11.1
October 26, 2009 10:03PM
My english bad too.
Recently, I'd tested intel c++ 11, and I got some errors.

My suggestions is here.
1. For AMD cpu, the best choice is PGI c++, but not intel c++.
2. For INTEL cpu, the best choice is intel c++ 10, but not intel c++ 11.
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 315
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready